from django.contrib import admin
from django.contrib.auth.admin import UserAdmin as BaseUserAdmin
from django.utils.translation import gettext_lazy as _

from . import models


@admin.register(models.User)
class UserAdmin(BaseUserAdmin):
    fieldsets = (
        *BaseUserAdmin.fieldsets,
        (_('Subjects'), {'fields': ('supplier', 'customers')}),
    )
    filter_horizontal = (*BaseUserAdmin.filter_horizontal, 'customers')
