from django.conf.urls.i18n import i18n_patterns
from django.contrib import admin
from django.http import HttpRequest
from django.http import HttpResponse
from django.shortcuts import render
from django.urls import include
from django.urls import path


def landing_page(req: HttpRequest) -> HttpResponse:
    return render(req, 'facturio/index.html')


urlpatterns = i18n_patterns(
    path('', landing_page, name='main-page'),
    path('accounts/', include('accounts.urls')),
    path('subjects/', include('subjects.urls')),
    path('invoices/', include('invoices.urls')),
    path('admin/', admin.site.urls),
    prefix_default_language=False,
)
