# Generated by Django 5.0.4 on 2024-06-14 20:08
import django.db.models.deletion
from django.conf import settings
from django.db import migrations
from django.db import models


class Migration(migrations.Migration):
    initial = True

    dependencies = [
        ('subjects', '0004_remove_subject_city_remove_subject_city_part_and_more'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Invoice',
            fields=[
                (
                    'id',
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name='ID',
                    ),
                ),
                ('invoice_date', models.DateField(verbose_name='Invoice date')),
                ('due_date', models.DateField(verbose_name='Due date')),
                (
                    'customer',
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name='+',
                        to='subjects.subject',
                    ),
                ),
                (
                    'customer_data',
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name='+',
                        to='subjects.subjectdata',
                    ),
                ),
                (
                    'supplier',
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name='+',
                        to='subjects.subject',
                    ),
                ),
                (
                    'supplier_data',
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name='+',
                        to='subjects.subjectdata',
                    ),
                ),
                (
                    'user',
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
            ],
            options={
                'verbose_name': 'Invoice',
                'verbose_name_plural': 'Invoices',
            },
        ),
        migrations.CreateModel(
            name='InvoiceItem',
            fields=[
                (
                    'id',
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name='ID',
                    ),
                ),
                (
                    'amount',
                    models.DecimalField(
                        decimal_places=3, max_digits=8, verbose_name='Amount',
                    ),
                ),
                (
                    'amount_unit',
                    models.CharField(
                        max_length=32, verbose_name='Amount unit',
                    ),
                ),
                (
                    'description',
                    models.CharField(
                        max_length=64, verbose_name='Description',
                    ),
                ),
                (
                    'price_for_amount',
                    models.DecimalField(
                        decimal_places=3, max_digits=8, verbose_name='Price for amount',
                    ),
                ),
                (
                    'invoice',
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name='items',
                        to='invoices.invoice',
                    ),
                ),
            ],
            options={
                'verbose_name': 'Invoice Item',
                'verbose_name_plural': 'Invoice Items',
            },
        ),
    ]
